Skip to main content
This content has been archived and is no longer being updated. Links may not function; however, this content may be relevant to outdated versions of the product.

Support Article

Unable to connect to Sybase DB after Pega 7.1.8 upgrade

SA-12870

Summary



Unable to access an external Sybase DB after upgrading to Pega 7.1.8. 
Connection to Sybase DB from Pega used for populating some of the fields, using Connect SQL, before upgrade was working fine.

Jboss 6 EAP App server is used.

Error Messages



com.sybase.jdbc3.utils.UnimplementedOperationException: The method com.sybase.jdbc3.jdbc.SybDatabaseMetaData.getJDBCMajorVersion() has not been completed and should not be called.


Steps to Reproduce



Not Applicable


Root Cause



The root cause of this problem is defect/misconfiguration in the operating environment.

Connecting to Sybase external requires Jconn jar file. User has two versions of jar file entries in module.xml. The exception is due to a conflict during runtime.

Resolution



This issue is resolved by making the following change to the operating environment:

Remove older version of Jconn jar entry in module.xml to resolve the issue.
Suggest Edit

Published August 13, 2015 - Updated October 8, 2020

Did you find this content helpful? Yes No

0% found this useful

Have a question? Get answers now.

Visit the Collaboration Center to ask questions, engage in discussions, share ideas, and help others.

We'd prefer it if you saw us at our best.

Pega Community has detected you are using a browser which may prevent you from experiencing the site as intended. To improve your experience, please update your browser.

Close Deprecation Notice
Contact us